Skip to main content

Getting Started

View the repository: Chronologue
  1. Install uv If uv is not already installed, you can install it using the following command:
    curl -LsSf https://astral.sh/uv/install.sh | sh
    
  2. Clone the Repository Clone the repository and navigate into it:
    git clone https://github.com/runtimelabs-inc/chronologue.git
    cd chronologue
    
  3. Set Up the Environment and Install Dependencies Initialize the project using uv:
    uv init
    uv venv
    source .venv/bin/activate
    uv pip install -r requirements.txt
    
  4. Set Up MCP and API Keys
Install CLI and calendar dependencies:
uv add "mcp[cli]" httpx
brew install node
Start MCP Integration:
uv run mcp
Configure API Keys Create a .env file in the root directory and populate it with your keys:
OPENAI_API_KEY=your-openai-key
CLAUDE_API_KEY=your-anthropic-key
GEMINI_API_KEY=your-gemini-key
LLAMA_API_KEY=your-llama-key
XAI_API_KEY=your-xai-key

GOOGLE_CLIENT_CREDENTIALS=calendar/credentials.json
GOOGLE_TOKEN_FILE=calendar/token.json
  1. Run Test Scripts
Run the following script to transform .json data to .ics:
python modules/export_ics.py
Run this script to transform .ics to .json:
python modules/import_ics.py

Google Calendar Sync

Set up Google Calendar synchronization.

iCalendar Sync

Set up iCalendar synchronization.

MCP Integration

Integrate with Model Context Protocol (MCP) server.

Datasets

Explore sample datasets and example workflows and schema.